Read all autoconversion rules
curl --request GET \
--url https://api-sandbox.lumx.io/autoconversion-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.lumx.io/autoconversion-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.lumx.io/autoconversion-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.lumx.io/autoconversion-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.lumx.io/autoconversion-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.lumx.io/autoconversion-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.lumx.io/autoconversion-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "d056b7df-af6b-4aec-9e0a-4f7f03e0efb9",
"accountId": "a1ae1189-1f7a-4e24-ab16-23a83ea7fb7b",
"partnerFeeId": "3cf4fac2-777e-4f8b-963e-29a1dc958523",
"status": "ACTIVE",
"provider": "OPENPAYD",
"sourceCurrency": "EUR",
"targetCurrency": "USDC",
"blockchain": "ETHEREUM",
"purpose": "BILLS",
"name": "EUR to USDC bills",
"createdAt": "2026-11-03T18:30:09.669Z"
},
{
"id": "5c9d286f-037a-4df4-979c-468ac79af493",
"accountId": "3a9e4784-3684-462a-8268-d485ba927fbc",
"partnerFeeId": null,
"status": "ACTIVE",
"provider": "OPENPAYD",
"sourceCurrency": "GBP",
"targetCurrency": "USDC",
"blockchain": "POLYGON",
"purpose": "REAL_ESTATE",
"name": "GBP to USDC rent",
"createdAt": "2026-11-03T18:29:55.751Z"
}
],
"pagination": {
"size": 2,
"total": 4,
"hasNextPage": true,
"hasPreviousPage": false,
"nextCursor": "5c9d286f-037a-4df4-979c-468ac79af493"
}
}Autoconversion Rules
Read all autoconversion rules
Reads all autoconversion rules of your project, newest first.
GET
/
autoconversion-rules
Read all autoconversion rules
curl --request GET \
--url https://api-sandbox.lumx.io/autoconversion-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.lumx.io/autoconversion-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.lumx.io/autoconversion-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.lumx.io/autoconversion-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.lumx.io/autoconversion-rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.lumx.io/autoconversion-rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.lumx.io/autoconversion-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "d056b7df-af6b-4aec-9e0a-4f7f03e0efb9",
"accountId": "a1ae1189-1f7a-4e24-ab16-23a83ea7fb7b",
"partnerFeeId": "3cf4fac2-777e-4f8b-963e-29a1dc958523",
"status": "ACTIVE",
"provider": "OPENPAYD",
"sourceCurrency": "EUR",
"targetCurrency": "USDC",
"blockchain": "ETHEREUM",
"purpose": "BILLS",
"name": "EUR to USDC bills",
"createdAt": "2026-11-03T18:30:09.669Z"
},
{
"id": "5c9d286f-037a-4df4-979c-468ac79af493",
"accountId": "3a9e4784-3684-462a-8268-d485ba927fbc",
"partnerFeeId": null,
"status": "ACTIVE",
"provider": "OPENPAYD",
"sourceCurrency": "GBP",
"targetCurrency": "USDC",
"blockchain": "POLYGON",
"purpose": "REAL_ESTATE",
"name": "GBP to USDC rent",
"createdAt": "2026-11-03T18:29:55.751Z"
}
],
"pagination": {
"size": 2,
"total": 4,
"hasNextPage": true,
"hasPreviousPage": false,
"nextCursor": "5c9d286f-037a-4df4-979c-468ac79af493"
}
}